summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorelijah <elijah@riseup.net>2016-08-31 15:41:55 -0700
committerelijah <elijah@riseup.net>2016-09-01 10:13:31 -0700
commitd679399af0898b959b8b84a8e8d1e2e03c4e21b5 (patch)
treec8504349865f7282473a8dfd226e9f1976c28309
parentc4afb0b63fdfaef6a7d67917f5b93e353902d36d (diff)
cherry pick from "break on every deploy error"
-rwxr-xr-xtests/platform-ci/ci-build.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/tests/platform-ci/ci-build.sh b/tests/platform-ci/ci-build.sh
index 38040716..63699e02 100755
--- a/tests/platform-ci/ci-build.sh
+++ b/tests/platform-ci/ci-build.sh
@@ -35,6 +35,9 @@ echo "CI directory: ${ROOTDIR}"
echo "Provider directory: ${PROVIDERDIR}"
echo "Platform directory: ${PLATFORMDIR}"
+# exit if any commands returns non-zero status
+set -e
+
# create node(s) with unique id so we can run tests in parallel
export TAG="build${CI_BUILD_ID}"
[ -d "${PROVIDERDIR}/tags" ] || mkdir "${PROVIDERDIR}/tags"